<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--
Copyright 2004-2007, U.S. Robotics Corporation
All Rights Reserved.

THIS SOFTWARE IS OFFERED "AS IS", AND U.S. Robotics GRANTS NO WARRANTIES OF ANY
KIND, EXPRESS OR IMPLIED, BY STATUTE, COMMUNICATION OR OTHERWISE. U.S. Robotics
SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
FOR A SPECIFIC PURPOSE OR NONINFRINGEMENT CONCERNING THIS SOFTWARE.
-->
<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<title>Status :: USRobotics Wireless Router</title>
	<link href="main.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="5466.js"></script>
	<script type="text/javascript" src="common.js"></script>
	<script type="text/javascript">
<!--
function hasWANconnection()
{	var ip = "<% nvram_get("wan0_ipaddr"); %>";
	var ip_pptp = "<% nvram_get("wan_pptp_ipaddr"); %>";
	var dns = "<% nvram_get("wan0_dns"); %>"; 
	var pptp_dns = "<% nvram_get("wan_pptp_dns"); %>";
	var pptp = "<% nvram_get("wan_pptp_activated"); %>";
	if (pptp == "1") {
		if ((ip_pptp != "0.0.0.0") && (pptp_dns != "0.0.0.0 0.0.0.0 0.0.0.0") &&
		 (ip_pptp != "") && (pptp_dns != ""))
		 	return true;
		else
			return false;
	}				
	if ((ip != "0.0.0.0") && (dns != "0.0.0.0 0.0.0.0 0.0.0.0") &&
	    (ip != "") && (dns != ""))
		return true;
	return false; 
}
function isDynamicIPenabled()
{	var proto = "<% nvram_get("wan0_proto"); %>";
	var pptp = "<% nvram_get("wan_pptp_activated"); %>";
	if ((proto == "dhcp") || (proto == "pppoe") || (pptp == "1"))
		return true;
	return false;
}
function manageWANconnection()
{
	var wan_cnx = "<% wan_link(); %>";	// can be "Unknown"
	var idShow = "idCxnGood";
	if ((wan_cnx == "Disconnected") || (wan_cnx == "N/A") || !hasWANconnection())
		idShow = "idCxnFail";
	else if (wan_cnx == "Connecting")
		idShow = "idCxnConnecting";
	setVisibility(idShow, isDynamicIPenabled());
}
function manageReleaseRenew()
{	var proto = "<% nvram_get("wan0_proto"); %>";
	var pptp = "<% nvram_get("wan_pptp_activated"); %>";
	if ((proto == "dhcp") && (pptp != "1"))
	{	setVisibility('idLease', true);
		setVisibility('idRenew', true);
	}
}
function get_key()
{	var idx = <% nvram_get("wl0_key"); %>;
	if (idx == 1)
		return "<% nvram_get("wl0_key1"); %>";
	if (idx == 2)
		return "<% nvram_get("wl0_key2"); %>";
	if (idx == 3)
		return "<% nvram_get("wl0_key3"); %>";
	if (idx == 4)
		return "<% nvram_get("wl0_key4"); %>";
	else
		return "";
}
function get_encryption()
{	var encrypt = "<% nvram_get("cbEncryption"); %>";
	if (encrypt == "tkip+aes")
		return "TKIP and AES";
	if (encrypt == "aes") 
		return "AES";
	if (encrypt == "tkip") 
		return "TKIP";
	else	
		return "None";
}	
function get_method()
{	var auth = "<% nvram_get("cbAuthEncrypt"); %>";
	if (auth == "wpa12")
		return "WPA2 and WPA (PSK)";
	if (auth == "wpa2")
		return "WPA2 (PSK)";
	if (auth == "wpa")
		return "WPA (PSK)";
	if (auth == "open") 
		return "WEP open";
	if (auth == "shared") 
		return "WEP shared";
	if (auth == "none") 
		return "None";
	if (auth == "radius-wpa12") 
		return "WPA2 and WPA with 802.1x (RADIUS)";
	if (auth == "radius-wpa2") 
		return "WPA2 with 802.1x (RADIUS)";
	if (auth == "radius-wpa") 
		return "WPA with 802.1x (RADIUS)";
	else	
		return "";
}
function initialize()
{	var auth = "<% nvram_get("cbAuthEncrypt"); %>";
	var radio = <% nvram_get("wl0_radio"); %>;
	if ((auth == "wpa12") || (auth == "wpa2") || (auth == "wpa")) {
		setVisibility('idEncrypt', true);
		setVisibility('idKey1', true);
	}
	else if ((auth == "open") || (auth == "shared")) {
			setVisibility('idKey2', true);
	}
	else if	((auth == "radius-wpa12") || (auth == "radius-wpa2") || (auth == "radius-wpa")) {
		setVisibility('idEncrypt', true);
		setVisibility('idRadiusserver', true);
		setVisibility('idRadiusport', true);
		setVisibility('idRadiuskey', true);
	}
	if (radio) {
		setVisibility('idRadio1', true);
		setVisibility('idRadio2', true);
		setVisibility('idRadio3', true);
		setVisibility('idRadio4', true);
		setVisibility('idRadio5', true);
	}
}
function get_wds()
{	var wds = <% nvram_get("wl0_lazywds"); %>;
	if (wds)
		return "Disabled";
	return "Enabled";
}
function get_ssid()
{	var ssid = <% nvram_get("wl0_closed"); %>;
	if (ssid)
		return "Disabled";
	return "Enabled";
}
function get_MACmode()
{	var mac = "<% nvram_get("wl0_macmode"); %>";
	if (mac == "disabled")
		return "Disabled";
	if (mac == "allow")
		return "Allow";
	if (mac == "deny")
		return "Deny";
}
function get_wan()
{	var proto = "<% nvram_get("wan0_proto"); %>";
	var pptp = "<% nvram_get("wan_pptp_activated"); %>";
	if (pptp == "1")
		return "PPTP";
	if (proto == "dhcp")
		return "DHCP";
	if (proto == "pppoe")
		return "PPPoE";
	if (proto == "static")
		return "Static";
	if (proto == "disabled")
		return "Disabled";
}
function get_printer()
{	var status = "<% get_printer(); %>";
	if (status == "1")
		return "Ready";
	else 
		return "Not Ready";
}
function get_wanip()
{	var proto = "<% nvram_get("wan0_proto"); %>";
	var dns = "<% nvram_get("wan0_dns"); %>";
	var pptp = "<% nvram_get("wan_pptp_activated"); %>";
	if ((proto == "pppoe") && (dns =="0.0.0.0 0.0.0.0 0.0.0.0"))
		return "0.0.0.0";
	if (pptp != "1")
		return "<% nvram_get("wan0_ipaddr"); %>";
	else
		return "<% nvram_get("wan_pptp_ipaddr"); %>";
}
function get_wanmask()
{	var proto = "<% nvram_get("wan0_proto"); %>";
	var dns = "<% nvram_get("wan0_dns"); %>";
	var pptp = "<% nvram_get("wan_pptp_activated"); %>";
	if ((proto == "pppoe") && (dns =="0.0.0.0 0.0.0.0 0.0.0.0"))
		return "0.0.0.0";
	if (pptp != "1")
		return "<% nvram_get("wan0_netmask"); %>";
	else
		return "<% nvram_get("wan_pptp_netmask"); %>";
}
function get_gateway()
{	var pptp = "<% nvram_get("wan_pptp_activated"); %>";
	if (pptp != "1")
		return "<% nvram_get("wan0_gateway"); %>";
	else
		return "<% nvram_get("wan_pptp_gateway"); %>";
}
function get_dns1()
{	var pptp = "<% nvram_get("wan_pptp_activated"); %>";
	if (pptp != "1")
		return "<% nvram_list("wan0_dns", 0); %>";
	else
		return "<% nvram_list("wan_pptp_dns", 0); %>";
}
function get_dns2()
{	var pptp = "<% nvram_get("wan_pptp_activated"); %>";
	if (pptp != "1")
		return "<% nvram_list("wan0_dns", 1); %>";
	else
		return "<% nvram_list("wan_pptp_dns", 1); %>";
}
function get_radio()
{	var radio = <% nvram_get("wl0_radio"); %>;
	if (radio)
		return "Enabled";
	return "Disabled";
}
//-->
</script>
</head>
<body onload="manageWANconnection(); manageReleaseRenew(); initialize();">
<script type="text/javascript">
	writeHeader();
</script>
<noscript>
	<p class="clsNotice">The USRobotics Wireless Router uses scripting to display
	its data correctly. This browser either doesn't support scripting or has
	scripting disabled. Please refer to your browser's documentation for instructions
	on how to enable scripting.
	</p>
</noscript>
<div>
<p style="display: none;" id="idCxnGood">The router has <b>connected</b> to your ISP.</p>
<p style="display: none;" id="idCxnConnecting">The router is <b>connecting</b>.
Wait a few seconds and refresh the page to get the status of your connection.</p>
<p style="display: none;" id="idCxnFail" class="clsNotice">The router is <b>not connected</b> to the Internet.
You can configure the connection on the <a href="wan.asp"><b>Internet</b></a> page.
You should also check all connections to ensure the devices are connected properly.</p>
</div>
<form action="status.asp" method="post">
	<input type="submit" name="Refresh" value="Refresh"/>
</form>
<table border="0">
		<tr><td colspan="2"><h3>Device</h3></td></tr>
		<tr><td><label>Name:</label></td>
			<td class="clsStatic">USRobotics Wireless Router (USR5466)</td></tr>
		<tr><td valign="top"><label>Time:</label></td>
<script type="text/javascript">
	var strNTP = "<% localtime(); %>";
	strNTP = strNTP.replace(/ [-+]\d{4}$/, "");	// delete TZ so toLocaleString() doesn't convert to local time
	var dtNow = new Date(strNTP);
	if (dtNow.getFullYear() < 2000)
	{
		document.write("<td>");
		document.write("No time server has been found. ");
		document.write("Please check your Internet connection. You can use the <a href=\"device.asp\">Device<\/a> page to specify a different time server.");
	}
	else
		document.write("<td class=\"clsStatic\">" + dtNow.toLocaleString());
	document.write("<\/td>");
</script>
		<tr><td><label>Firmware:</label></td>
			<td class="clsStatic"><% nvram_get("os_version"); %> (<% nvram_get("os_date"); %>)</td></tr>
		<tr><td><label>Boot loader:</label></td>
			<td class="clsStatic"><% nvram_get("pmon_ver"); %></td></tr>
		<tr><td colspan="2">&nbsp;</td></tr>
		<tr><td colspan="2"><h3>Security</h3></td></tr>
		<tr><td><label>Method:</label></td>
			<td class="clsStatic"><script type="text/javascript">document.write(get_method());</script></td></tr>
		<tr id="idEncrypt" style="display: none;">
			<td><label>Encryption:</label></td>
			<td class="clsStatic"><script type="text/javascript">document.write(get_encryption());</script></td></tr>
		<tr id="idKey1" style="display: none;">
			<td><label>Pass phrase:</label></td>
			<td class="clsStatic"><% nvram_get("wl0_wpa_psk"); %></td></tr>
		<tr id="idKey2" style="display: none;">
			<td><label>Key:</label></td>
			<td class="clsStatic"><script>document.write(get_key());</script></td></tr>
		<tr id="idRadiusserver" style="display: none;">
			<td><label>RADIUS server:</label></td>
			<td class="clsStatic"><% nvram_get("wl0_radius_ipaddr"); %></td></tr>
		<tr id="idRadiusport" style="display: none;">
			<td><label>RADIUS port:</label></td>
			<td class="clsStatic"><% nvram_get("wl0_radius_port"); %></td></tr>
		<tr id="idRadiuskey" style="display: none;">
			<td><label>RADIUS key:</label></td>
			<td class="clsStatic"><% nvram_get("wl0_radius_key"); %></td></tr>
		<tr><td><label>Wireless&nbsp;MAC&nbsp;filter:</label></td>
			<td class="clsStatic"><script type="text/javascript">document.write(get_MACmode());</script></td></tr>
		<tr><td colspan="2">&nbsp;</td></tr>
		<tr><td colspan="2"><h3>Wireless</h3></td></tr>
		<tr><td><label>Wireless:</label></td>
			<td class="clsStatic"><script type="text/javascript">document.write(get_radio());</script></tr>
		<tr id="idRadio1" style="display: none;">
			<td><label>Network&nbsp;name:</label></td>
			<td class="clsStatic"><% nvram_get("wl0_ssid"); %></td></tr>
		<tr id="idRadio2" style="display: none;">
			<td><label>Broadcast&nbsp;name:</label></td>
			<td class="clsStatic"><script type="text/javascript">document.write(get_ssid());</script></tr>
		<tr id="idRadio3" style="display: none;">
			<td><label>MAC&nbsp;address:</label></td>
			<td class="clsStatic"><% nvram_get("wl0_hwaddr"); %></td></tr>
		<tr id="idRadio4" style="display: none;">
			<td><label>Mode:</label></td>
			<td class="clsStatic"><% wl_cur_mode(); %></td></tr>
		<tr id="idRadio5" style="display: none;">
			<td class="clsLabel">WDS&nbsp;restrictions:</td>
			<td class="clsStatic"><script type="text/javascript">document.write(get_wds());</script></td></tr>
		<tr><td colspan="2">&nbsp;</td></tr>
		<tr><td colspan="2"><h3>WAN</h3></td></tr>
		<tr><td valign="top"><label>Protocol:</label></td>
			<td class="clsStatic"><script type="text/javascript">document.write(get_wan());</script></td></tr>
		<tr>	<td><label>MAC address:</label></td>
			<td class="clsStatic"><% nvram_get("wan0_hwaddr"); %></td></tr>
		<tr>	<td><label>IP address:</label></td>
			<td class="clsStatic" id="idWANip"><script type="text/javascript">document.write(get_wanip());</script></td></tr>
		<tr>	<td><label>Subnet mask:</label></td>
			<td class="clsStatic"><script type="text/javascript">document.write(get_wanmask());</script></td></tr>
		<tr>	<td><label>Gateway:</label></td>
			<td class="clsStatic"><script type="text/javascript">document.write(get_gateway());</script></td></tr>
		<tr>	<td><label>DNS server 1:</label></td>
			<td class="clsStatic"><script type="text/javascript">document.write(get_dns1());</script></td></tr>
		<tr>	<td><label>DNS server 2:</label></td>
			<td class="clsStatic"><script type="text/javascript">document.write(get_dns2());</script></td></tr>
		<tr id="idLease" style="display: none;">
			<td><label>Lease expires:</label></td>
			<td><span class="clsStatic"><% wan_lease(); %></span></td></tr>
		<tr id="idRenew" style="display: none;">
		<td>&nbsp;</td>
		<form name="idForm" action="apply.cgi" method="post">
		<input type="hidden" name="page" value="status.asp">
			<td><input type="submit" class="clsSmall" name="action" value="Renew"></td>
		</form></tr>
		<tr><td colspan="2">&nbsp;</td></tr>
		<tr><td colspan="2"><h3>LAN</h3></td></tr>
		<tr><td><label>IP address:</label></td>
			<td class="clsStatic"><% nvram_get("lan_ipaddr"); %></td></tr>
		<tr>	<td><label>Subnet mask:</label></td>
			<td class="clsStatic"><% nvram_get("lan_netmask"); %></td></tr>
		<tr>	<td><label>MAC address:</label></td>
			<td class="clsStatic"><% nvram_get("lan_hwaddr"); %></td></tr>
</table>
<h3>Clients</h3>
<table class="clsRuled"><thead><tr valign="bottom" align="left">
					<th>Type</th>
					<th>Name</th>
					<th>MAC Address</th>
					<th>IP Address</th>
					<th>Expiration</th></tr></thead>
			<tbody>
			<% lan_leases(); %>
			</tbody>
			<tfoot><tr></tr></tfoot>
</table>
<form action="status.asp" method="post">
	<input type="submit" name="Refresh" value="Refresh"/>
</form>
<script type="text/javascript">
	writeCopyright();
</script></body></html>
